%global npm_name require-all
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       Require all files within a directory
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.0.8
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/felixge/node-require-all
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
BuildArch:     noarch

%description
An easy way to require all files within a directory.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
node test/test.js
%endif

%files
%doc License Readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.0.8-2
- Add support for software collections

* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.0.8-1
- Update to 0.0.8

* Wed May 22 2013 Troy Dawson <tdawson@redhat.com> - 0.0.6-1
- Initial build

